#include once "window9.bi"

Function Modify_Menu OverLoad (ByVal Soursenumber As Integer, _
							ByVal menu As HMENU, _
							ByRef sName As USTRING, _
							ByVal Newnumber As Integer, _
							ByVal flag As Integer) As Integer Export
	#ifdef UNICODE
		If Newnumber=999999 Then
			Return ModifyMenu(menu,SourseNumber,flag,Soursenumber,*sName)
		Else
			Return ModifyMenu(menu,SourseNumber,flag,Newnumber,*sName)
		End If		
	#else	
		If Newnumber=999999 Then
			Return ModifyMenu(menu,SourseNumber,flag,Soursenumber,sName)
		Else
			Return ModifyMenu(menu,SourseNumber,flag,Newnumber,sName)
		End If		
	#EndIf
End Function

Function Modify_Menu  OverLoad (ByVal Soursenumber As Integer, _
							ByVal menu As HMENU, _
							ByVal iName As integer, _
							ByVal Newnumber As Integer, _
							ByVal flag As Integer) As Integer Export
	If Newnumber=999999 Then
		Return ModifyMenu(menu,SourseNumber,flag,Soursenumber,Cast(any ptr,iName))
	Else
		Return ModifyMenu(menu,SourseNumber,flag,Newnumber,Cast(any ptr,iName))
	End If
End Function


